Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QLineF.IntersectType

    java.lang.Object
      java.lang.Enum<QLineF.IntersectType>
          com.trolltech.qt.gui.QLineF.IntersectType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QLineF.IntersectType>

Enclosing class:
  QLineF

    public static enum QLineF.IntersectType

extends java.lang.Enum<QLineF.IntersectType>
implements QtEnumerator

Describes the intersection between two lines.

QLineF::UnboundedIntersection | QLineF::BoundedIntersection

See Also:
  `intersect`

Enum Constant Summary
`BoundedIntersection` The two lines intersect with each other within the start and end points of each line.
`NoIntersection` Indicates that the lines do not intersect; i.e. they are parallel.
`UnboundedIntersection` The two lines intersect, but not within the range defined by their lengths.

Method Summary
`static QLineF.IntersectType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLineF.IntersectType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QLineF.IntersectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoIntersection

    public static final QLineF.IntersectType NoIntersection

  Indicates that the lines do not intersect; i.e. they are parallel.

### BoundedIntersection

    public static final QLineF.IntersectType BoundedIntersection

  The two lines intersect with each other within the start and end points of each line.

### UnboundedIntersection

    public static final QLineF.IntersectType UnboundedIntersection

  The two lines intersect, but not within the range defined by their lengths. This will be the case if the lines are not parallel.

Method Detail

### values

    public static final QLineF.IntersectType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QLineF.IntersectType c : QLineF.IntersectType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QLineF.IntersectType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLineF.IntersectType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD